package com.srs.dormitory.mapper;

import com.srs.common.core.domain.AjaxResult;
import com.srs.dormitory.domain.DmsDormitoryDept;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Dto.DmsSearch;
import com.srs.dormitory.domain.Vo.DomInfo;
import com.srs.dormitory.domain.Vo.ExportDmsReg;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 学院宿舍关联表 Mapper 接口
 * </p>
 *
 * @author 猪油骨
 * @since 2023-08-29
 */
public interface DmsDormitoryDeptMapper extends BaseMapper<DmsDormitoryDept> {


    public int lockAllDept();

    public List<ExportDmsReg> listSum();

    List<DomInfo> deptBuildingCount(DmsSearch param);

    List<DomInfo> getDeptBedCount();

    List<Map<String, Object>> selectRegByXydm(@Param("xydm") List<String> xydm);

    List<Map<String, Object>> selectCountByXYDM(@Param("collect") List<String> collect);
}
